Package org.python.core.stringlib

# Class MarkupIterator.Chunk

java.lang.Object
org.python.core.stringlib.MarkupIterator.Chunk

Enclosing class:
  `MarkupIterator`

public static final class MarkupIterator.Chunk extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`conversion`
Conversion to be applied, e.g.
`String`
`fieldName`
The field name or number (as a string) for accessing the value.
`String`
`formatSpec`
The format specifier such as `"#12x"`.
`boolean`
`formatSpecNeedsExpanding`
Signals the `formatSpec` needs expanding recursively.
`String`
`literalText`
The text leading up to the next format field.

## Constructor Summary

Constructors
Constructor
Description
`Chunk()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### literalText

public String literalText
The text leading up to the next format field.

### fieldName

public String fieldName
The field name or number (as a string) for accessing the value.

### formatSpec

public String formatSpec
The format specifier such as `"#12x"`.

### conversion

public String conversion
Conversion to be applied, e.g. `'r'` for `repr()`.

### formatSpecNeedsExpanding

public boolean formatSpecNeedsExpanding
Signals the `formatSpec` needs expanding recursively.

## Constructor Details

### Chunk

public Chunk()